var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import fetch from 'node-fetch';
const BASE_URL = 'https://www.notion.so/api/v3';
function _post(url, data) {
    return __awaiter(this, void 0, void 0, function* () {
        return fetch(`${BASE_URL}${url}`, {
            body: data ? JSON.stringify(data) : undefined,
            headers: {
                'content-type': 'application/json;charset=UTF-8',
            },
            method: 'POST',
        }).then(res => res.json());
    });
}
export function getSignedFileUrls(data) {
    return __awaiter(this, void 0, void 0, function* () {
        return _post('/getSignedFileUrls', data);
    });
}
export function loadPageChunk(data) {
    return __awaiter(this, void 0, void 0, function* () {
        return _post('/loadPageChunk', data);
    });
}
export function queryCollection(data) {
    return __awaiter(this, void 0, void 0, function* () {
        return _post('/queryCollection', data);
    });
}
/**
 * get record value from specific db table
 * @param data
 */
export function getRecordValues(data) {
    return __awaiter(this, void 0, void 0, function* () {
        return _post('/getRecordValues', data);
    });
}
export function getPublicData(data) {
    return __awaiter(this, void 0, void 0, function* () {
        return _post('/getPublicPageData', data);
    });
}
//# sourceMappingURL=client.js.map