import { BlockId, BlockType, BlockValue, CollectionQuery, CollectionValue, CollectionViewValue, Cursor, PageChunk, RecordValue, RoleEntry, SpaceValue, UserId } from './types';
export declare function getSignedFileUrls(data: {
    url: string;
    permissionRecord: {
        id: string;
        table: string;
    };
}): Promise<unknown>;
export declare function loadPageChunk(data: {
    chunkNumber: number;
    limit: number;
    pageId: string;
    verticalColumns: boolean;
    cursor: {
        stack: Cursor[];
    };
}): Promise<PageChunk>;
export declare function queryCollection(data: {
    collectionId: string;
    collectionViewId: string;
    loader: {
        limit: number;
        loadContentCover: boolean;
        type: string;
        userLocale: string;
        userTimeZone: string;
    };
    query: CollectionQuery;
}): Promise<{
    recordMap: {
        block: {
            [blockId: string]: RoleEntry<BlockValue<BlockType>>;
        };
        collection: {
            [collectionId: string]: RoleEntry<CollectionValue>;
        };
        collection_view: {
            [viewId: string]: RoleEntry<CollectionViewValue>;
        };
        space: {
            [spaceId: string]: RoleEntry<SpaceValue>;
        };
    };
    result: {
        type: string;
        total: number;
        blockIds: BlockId[];
        aggregationResults: {
            id: string;
            value: number;
        }[];
    };
}>;
/**
 * get record value from specific db table
 * @param data
 */
export declare function getRecordValues(data: {
    requests: {
        id: string;
        table: string;
    }[];
}): Promise<RecordValue[]>;
export declare function getPublicData(data: {
    blockId: BlockId;
    collectionViewId: string;
    name: string;
    saveParent: boolean;
    showMoveTo: boolean;
    spaceDomain: string;
}): Promise<{
    betaEnabled: boolean;
    canJoinSpace: boolean;
    hasPublicAccess: boolean;
    icon: string;
    ownerUserId: UserId;
    spaceDomain: string;
    spaceId: string;
    spaceName: string;
    userHasExplicitAccess: true;
}>;
